View Issue Details

IDProjectCategoryView StatusLast Update
0001159SymmetricDS ProBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.6 
Target Version3.4.0Fixed in Version3.4.0 
Summary0001159: PostgresBulkDatabaseWriter using the wrong escape character for bulk CSV
DescriptionPostgresBulkDatabaseWriter using the wrong escape character for bulk CSV. As a result single quote characters can cause issues.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 85375279

2013-04-03 20:26:17

chenson

Details Diff
0001159: PostgresBulkDatabaseWriter using the wrong escape character for bulk CSV
0001159
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvUtils.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/CsvUtilsTest.java Diff File

SymmetricDS: master 4c5feb44

2013-04-03 20:47:40

chenson

Details Diff
0001159: PostgresBulkDatabaseWriter using the wrong escape character for bulk CSV
0001159
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/CsvUtilsTest.java Diff File

Issue History

Date Modified Username Field Change
2013-04-03 20:24 chenson New Issue
2013-04-03 20:24 chenson Status new => assigned
2013-04-03 20:24 chenson Assigned To => chenson
2013-04-03 20:24 chenson Status assigned => resolved
2013-04-03 20:24 chenson Fixed in Version => 3.4.0
2013-04-03 20:24 chenson Resolution open => fixed
2013-04-21 10:08 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7045
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7046
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4c5feb44
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 85375279